io.etcd.jetcd.lock

## Class LockResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<LockResponse>
  - - io.etcd.jetcd.lock.LockResponse

All Implemented Interfaces:
  Response

    public class LockResponse
    extends AbstractResponse<LockResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`LockResponse(LockResponse response, ByteSequence namespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteSequence` `getKey()` key is a key that will exist on etcd for the duration that the Lock caller owns the lock.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockResponse

    public LockResponse(LockResponse response,
                        ByteSequence namespace)

### Method Detail

#### getKey

    public ByteSequence getKey()

key is a key that will exist on etcd for the duration that the Lock caller owns the lock. Users should not modify this key or the lock may exhibit undefined behavior.